#
Summary: This removes the -dynroot option from the openafs config
Name: SL_afs_no_dynroot
Version: 1.0
Release: 1
Copyright: GPL
Group: Fermi
URL: https://www.scientificlinux.org/
Vendor: Fermilab
Packager: Troy Dawson
BuildArchitectures: noarch
requires: initscripts
%description

This package removes the -dynroot option from the openafs configuration.
Restarting of afs is needed for this to take effect.  This rpm does not
restart afs.
They -dynroot option does not load the cell root into /afs, but only
goes to the roots dynamically.  Because of this anything that is in the 
cell root base will not show up.  An example of this is that fermilab's
cell fnal.gov has a link in it's cell root.  This link will never show up
because the the root is never actually loaded.

%files
%post
#
# This modifies /etc/sysconfig/afs to remove the -dynroot option
# This script will only sucessfully work on unmodified files
#
if [ -f /etc/sysconfig/afs ] ; then
	if `grep -q dynroot /etc/sysconfig/afs` ; then
		#echo "We do have a dynroot, lets proceed"
		cat /etc/sysconfig/afs | sed 's:-dynroot ::' > /etc/sysconfig/afs.tmp
		mv /etc/sysconfig/afs.tmp /etc/sysconfig/afs
	fi	
fi


%postun
if [ "$1" = "0" ] ; then
	#
if [ -f /etc/sysconfig/afs ] ; then
	if ! `grep -q dynroot /etc/sysconfig/afs` ; then
		#echo "We do have a dynroot, lets proceed"
		cat /etc/sysconfig/afs | sed 's:"-fakestat:"-dynroot -fakestat:' > /etc/sysconfig/afs.tmp
		mv /etc/sysconfig/afs.tmp /etc/sysconfig/afs
	fi	
fi
fi

%triggerin -- initscripts, openafs
if [ -f /etc/sysconfig/afs ] ; then
	if `grep -q dynroot /etc/sysconfig/afs` ; then
		#echo "We do have a dynroot, lets proceed"
		cat /etc/sysconfig/afs | sed 's:-dynroot ::' > /etc/sysconfig/afs.tmp
		mv /etc/sysconfig/afs.tmp /etc/sysconfig/afs
	fi	
fi

%changelog
* Mon Sep 27 2004 Troy Dawson (dawson@fnal.gov)
- Released version 1.0
